struct usb_ep
Prev | Core Objects and Methods | Next

## Name

struct usb_ep — device side representation of USB endpoint

## Synopsis

    struct usb_ep {
      void * driver_data;
      const char * name;
      const struct usb_ep_ops * ops;
      struct list_head ep_list;
      unsigned maxpacket:16;
    };

## Members

driver_data

  for use by the gadget driver. all other fields are read-only to gadget drivers.

name

  identifier for the endpoint, such as “ep-a” or “ep9in-bulk”

ops

  Function pointers used to access hardware-specific operations.

ep_list

  the gadget's ep_list holds all of its endpoints

maxpacket

  The maximum packet size used on this endpoint. The initial value can sometimes be reduced (hardware allowing), according to the endpoint descriptor used to configure the endpoint.

## Description

the bus controller driver lists all the general purpose endpoints in gadget->ep_list. the control endpoint (gadget->ep0) is not in that list, and is accessed only in response to a driver `setup` callback.

Prev | Up | Next
struct usb_request | Home | usb_ep_enable